## com.puppycrawl.tools.checkstyle.checks.indentation
Class MethodCallHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.MethodCallHandler

    public class MethodCallHandler

extends ExpressionHandler

Handler for method calls.

Author:
  jrichard

Constructor Summary
`MethodCallHandler(IndentationCheck aIndentCheck, DetailAST aAST, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected IndentLevel` `getLevelImpl()` Compute the indentation amount for this handler.
`protected boolean` `shouldIncreaseIndent()`
`IndentLevel` `suggestedChildLevel(ExpressionHandler aChild)` Indentation level suggested for a child element.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLineStart, getLineStart, getMainAst, getParent, logError, logError, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodCallHandler

    public MethodCallHandler(IndentationCheck aIndentCheck,
                             DetailAST aAST,
                             ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAST` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### getLevelImpl

    protected IndentLevel getLevelImpl()

  Description copied from class: `ExpressionHandler`
  Compute the indentation amount for this handler.

  Overrides:
    `getLevelImpl` in class `ExpressionHandler`
  Returns:
    the expected indentation amount

### suggestedChildLevel

    public IndentLevel suggestedChildLevel(ExpressionHandler aChild)

  Description copied from class: `ExpressionHandler`
  Indentation level suggested for a child element. Children don't have to respect this, but most do.

  Overrides:
    `suggestedChildLevel` in class `ExpressionHandler`
  Parameters:
    `aChild` - child AST (so suggestion level can differ based on child type)
  Returns:
    suggested indentation for child

### checkIndentation

    public void checkIndentation()

  Description copied from class: `ExpressionHandler`
  Check the indentation of the expression we are handling.

  Specified by:
    `checkIndentation` in class `ExpressionHandler`

### shouldIncreaseIndent

    protected boolean shouldIncreaseIndent()

  Overrides:
    `shouldIncreaseIndent` in class `ExpressionHandler`
  Returns:
    true if indentation should be increased after fisrt line in checkLinesIndent() false otherwise

Copyright © 2001-2011. All Rights Reserved.